Package docking.widgets.filechooser

# Enum Class GhidraFileChooserMode

java.lang.Object
java.lang.Enum<GhidraFileChooserMode>
docking.widgets.filechooser.GhidraFileChooserMode

All Implemented Interfaces:
  `Serializable`, `Comparable<GhidraFileChooserMode>`, `Constable`

public enum GhidraFileChooserMode extends Enum<GhidraFileChooserMode>
Modes available for selecting files in the file chooser

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORIES_ONLY`
  Only directories may be chosen
  `FILES_AND_DIRECTORIES`
  Files and directories may be chosen
  `FILES_ONLY`
  Only files may be chosen

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `supportsDirectories()`
  `boolean`
  `supportsFiles()`
  `static GhidraFileChooserMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GhidraFileChooserMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILES_ONLY

    public static final GhidraFileChooserMode FILES_ONLY
    Only files may be chosen

  - ### DIRECTORIES_ONLY

    public static final GhidraFileChooserMode DIRECTORIES_ONLY
    Only directories may be chosen

  - ### FILES_AND_DIRECTORIES

    public static final GhidraFileChooserMode FILES_AND_DIRECTORIES
    Files and directories may be chosen

- ## Method Details

  - ### values

    public static GhidraFileChooserMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GhidraFileChooserMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### supportsFiles

    public boolean supportsFiles()

  - ### supportsDirectories

    public boolean supportsDirectories()